Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface UserPersonalization

public interface UserPersonalization
extends BaseEJBObject

The UserPersonalization EJB interface.

Method Summary
`java.lang.String` | `getCategoryName()` Get category name.
`int` | `getColumn()` Get column.
`java.lang.String` | `getGroupId()` Get group id.
`java.lang.String` | `getPortalName()` Get portal name.
`java.lang.String` | `getPortletName()` Get portlet name.
`int` | `getRow()` Get row.
`java.lang.String` | `getUserId()` Get user id.
`boolean` | `isMinimized()` Is it minimized?
`boolean` | `isVisible()` Is it visible?
`void` | `setColumn(int aPos)` Set column.
`void` | `setMinimized(boolean aBool)` Set the minimized flag.
`void` | `setRow(int aPos)` Set row.
`void` | `setVisible(boolean aBoolean)` Set the visible flag.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getPortalName

    public java.lang.String getPortalName()
                                   throws java.rmi.RemoteException

  Get portal name.
  Returns:
    `String` the portal name.
  Throws:
    `RemoteException` -

### getCategoryName

    public java.lang.String getCategoryName()
                                     throws java.rmi.RemoteException

  Get category name.
  Returns:
    `String` the category name.
  Throws:
    `RemoteException` -

### getPortletName

    public java.lang.String getPortletName()
                                    throws java.rmi.RemoteException

  Get portlet name.
  Returns:
    `String` the portlet name.
  Throws:
    `RemoteException` -

### getGroupId

    public java.lang.String getGroupId()
                                throws java.rmi.RemoteException

  Get group id.
  Returns:
    `String` the group id.
  Throws:
    `RemoteException` -

### getUserId

    public java.lang.String getUserId()
                               throws java.rmi.RemoteException

  Get user id.
  Returns:
    `String` the user id.
  Throws:
    `RemoteException` -

### isVisible

    public boolean isVisible()
                      throws java.rmi.RemoteException

  Is it visible?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` -

### setVisible

    public void setVisible(boolean aBoolean)
                    throws java.rmi.RemoteException

  Set the visible flag.
  Parameters:
    `aBoolean` - yes/no.
  Throws:
    `RemoteException` -

### getRow

    public int getRow()
               throws java.rmi.RemoteException

  Get row.
  Returns:
    `int` the row.
  Throws:
    `RemoteException` -

### setRow

    public void setRow(int aPos)
                throws java.rmi.RemoteException

  Set row.
  Parameters:
    `aPos` - the row.
  Throws:
    `RemoteException` -

### getColumn

    public int getColumn()
                  throws java.rmi.RemoteException

  Get column.
  Returns:
    `int` the column.
  Throws:
    `RemoteException` -

### setColumn

    public void setColumn(int aPos)
                   throws java.rmi.RemoteException

  Set column.
  Parameters:
    `aPos` - the column.
  Throws:
    `RemoteException` -

### setMinimized

    public void setMinimized(boolean aBool)
                      throws java.rmi.RemoteException

  Set the minimized flag.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` -

### isMinimized

    public boolean isMinimized()
                        throws java.rmi.RemoteException

  Is it minimized?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved